clearvars;
close all;
clc;

T = readtable('C:\ORS_Activities\Workshop\Week2\paper2\dehydration_estimation2.csv');
all_dat=table2array(T);

% Find row index of Baseline time for each subject 
for ii=1:10
   BLndx(ii)=min(find(all_dat(:,1)==ii));
end

% Derive the relative measures for Salivary variables and the the Total
% body water (TBW)loss
kk=0; TBW = all_dat(:,6); sal_vbls = all_dat(:,27:end);[~,c]=size(sal_vbls);
sal_vbls(isnan(sal_vbls))=0;    % Avoid NaN/NaN values in relative measures calc
for ii=[3:8 10] 
   for int=0:8
    kk=kk+1;
   
   del_TBW(kk,1) = TBW(BLndx(ii))-TBW(BLndx(ii)+int);   %Absolute change 
   del_sal(kk,1:c) = (sal_vbls(BLndx(ii)+int,:)-sal_vbls(BLndx(ii),:))./sal_vbls(BLndx(ii),:); %Relative change
   
   end
end


%Figure 2
figure
for ii=3:10
    hold on
    plot(all_dat(BLndx(ii):BLndx(ii)+8,5),sal_vbls(BLndx(ii):BLndx(ii)+8,5),'o-');
end
axis([-1 9 45 300])
xlabel('interval, i'); ylabel('Osmolality(mmol/kg)')
legend('S3','S4','S5','S6','S7','S8','S9', 'S10');

%Figure 3
figure
for ii=3:10
    hold on
    plot(all_dat(BLndx(ii):BLndx(ii)+8,5),sal_vbls(BLndx(ii):BLndx(ii)+8,7),'*-');
end
axis([-1 9 0 9000])
xlabel('interval, i'); ylabel('Proteins(mmol/kg)')
legend('S3','S4','S5','S6','S7','S8','S9', 'S10');


%Table 2 - Correlation bet salivary canges and Total water loss
[r, p] =corr([del_TBW del_sal],'rows','complete');   %Pearson correlation
[rS, pS] =corr([del_TBW del_sal],'rows','complete','type','Spearman');

varNames={'Amylase','Chloride','Cortisol','Cortisone','Osmolality','Potassium','Protiens'};
PearsonCorr =r(2:end,1);
pvalueP =p(2:end,1);
SpearmanCorr =rS(2:end,1);
pvalueS =pS(2:end,1);

% Compare to Table 2 in paper. 
resTbl=table(varNames',PearsonCorr,pvalueP,SpearmanCorr,pvalueS)
