close all;
clearvars;
clc;

%dirName='C:\Users\Personal-latitude\Documents\Pravitha_Tyler\Indic_workshop\BP_salt_set4\';
dirName='C:\ORS_Activities\Workshop\Week2\paper4\'
fs=100;
%SS Dahl Rats
SS_LS=readtable([dirName,'SS_LS.txt'],'headerlines',13);
SS_LS =table2array(SS_LS);
SS_HS=readtable([dirName,'SS_HS.txt'],'headerlines',13);
SS_HS =table2array(SS_HS);

mn_vr_LS = [mean(SS_LS); std(SS_LS)]; CV_LS_SS=mn_vr_LS(2,:)./mn_vr_LS(1,:);
mn_vr_HS = [mean(SS_HS); std(SS_HS)]; CV_HS_SS=mn_vr_HS(2,:)./mn_vr_HS(1,:);

% SS BN13 Rats (Salt resistant)
SSBN13_LS=readtable([dirName,'SSBN13_LS.txt'],'headerlines',13);
SSBN13_LS =table2array(SSBN13_LS);
SSBN13_HS=readtable([dirName,'SSBN13_HS.txt'],'headerlines',13);
SSBN13_HS =table2array(SSBN13_HS);

mn_vr_SSBN13LS = [mean(SSBN13_LS); std(SSBN13_LS)]; CV_LS_SSBN=mn_vr_SSBN13LS(2,:)./mn_vr_SSBN13LS(1,:);
mn_vr_SSBN13HS = [mean(SSBN13_HS); std(SSBN13_HS)]; CV_HS_SSBN=mn_vr_SSBN13HS(2,:)./mn_vr_SSBN13HS(1,:);

% Mean and variance features of BP distinguish between the two types of animal
%low salt BP
[p1,h1]  = ranksum(mn_vr_LS(1,:),mn_vr_SSBN13LS(1,:))% mean
[p2, h2] = ranksum(mn_vr_LS(2,:),mn_vr_SSBN13LS(2,:))% stdev
[p3, h3] = ranksum(mn_vr_HS(1,:),mn_vr_SSBN13HS(1,:))
[p4, h4] = ranksum(mn_vr_HS(2,:),mn_vr_SSBN13HS(2,:))


% Visualize the time series signals
timeVec =1/fs:1/fs:120;
figure
subplot(211)
plot(timeVec(1:end/4),SS_LS(1:end/4,1),'color',[0.2 0.2 0.8])
hold on
plot(timeVec(1:end/4),SS_HS(1:end/4,1),'linestyle',':','color',[0.8 0.2 0.2])
xlabel('time(sec)'); ylabel('BP measurements')
title('SS Rat 1')

subplot(212)
plot(timeVec(1:end/4),SSBN13_LS(1:end/4,1),'linestyle','--','color',[0.2 0.2 0.8])
hold on
plot(timeVec(1:end/4),SSBN13_HS(1:end/4,1),'linestyle',':','color',[0.8 0.2 0.2])
xlabel('time(sec)'); ylabel('BP measurements')
title('SSBN13 Rat 1')

% Feature selecion for Classification - graphical. Separation of two groups
% by the feature
figure
subplot(121)
plot(mn_vr_LS(1,:),mn_vr_LS(2,:),'o',mn_vr_SSBN13LS(1,:),mn_vr_SSBN13LS(2,:),'ro' )
line([100 140],[10.5 10.5],'linestyle','--','color','k','linewidth',1.5)
line([115 115],[6 14],'linestyle',':','color','k','linewidth',1.5)
xlabel ('Mean of BP'); ylabel('STDev of BP')
legend('SS rats','SSBN13 rats');
title('Low salt condition')

subplot(122)
plot(mn_vr_HS(1,:),mn_vr_HS(2,:),'*',mn_vr_SSBN13HS(1,:),mn_vr_SSBN13HS(2,:),'r*' )
line([100 200],[13.6 13.6],'linestyle','--','color','k','linewidth',1.5)
line([144 144],[8 18],'linestyle',':','color','k','linewidth',1.5)
xlabel ('Mean of BP'); ylabel('STDev of BP')
legend('SS rats','SSBN13 rats');
title('High salt condition')


