%% 
%The University of Texas at Tyler
%Author: Sloke Shrestha
%Date written: 5/17/2021
%Description: A framework to perform sliding window analysis.

clc;
clear;
%% Program to perform analysis in a sliding window
% Data used is accelerometer data obtained from Empatica E4
o_p = []; %output accumulator
%% Load data
data = readmatrix("ACC.csv"); %import data
smpl_freq = data(2,2); %extract sampling frequency
data = data(3:end,:); %truncating the timestamp and sampling frequency

%% Paramters used to perform sliding window

window_len = 4*60; %window length in seconds
stride = 60; %stride length in seconds

strt_idx = 1; %start index
end_idx = window_len*smpl_freq; %end index


while((end_idx + stride*smpl_freq) < length(data)) %iterate until end of the file
    strt_idx = strt_idx + stride*smpl_freq;
    end_idx = end_idx + stride*smpl_freq;
    choped_data = data(strt_idx : end_idx, :); %chopping data
    
    chop_o_p = analyze(choped_data);
    o_p = [o_p; chop_o_p]; %accumulate the output
end

%%
function [output] = analyze(data)
%% write function to perform analysis on the window data here.
    output = mean(data);
end
